;*******************************************************
;
; Include File KCNET-Interface for Hardware TCP/IP-Stack
;	 WIZnet W3150A+ / W5100 with 4 Sockets
;
;     Configure LOW LEVEL DRIVER and Terminal codes
;
;       for M80/L80(Z80): 6 characters for extern
;
;	made:	susowa - 18.08.2008
;   modified:	susowa - 16.02.2010
;		susowa - 07.11.2010
;
;*******************************************************

	;### SYSTEM ###
	;
	;set this SYMBOL to NO, if you
	;assemble for another system
	;than KC85,
	;in this case the include file
	;KCN-ZPIO.INC is used with a low
	;level PIO-driver, where the PIO
	;can direct programmed by the
	;CP/M - CPU
	;
KC85	EQU	NO	;KC85/x - version

	;### PIO I/O ADDRESS ###
	;
	;fill in the first I/O-address
	;(PIO channel A Data) for the 
	;Z80 PIO used for the KCNET in
	;your system
	;
PIOADR	EQU	030H	;I/O-address PIO
	
	;### CP/M TERMINAL-Codes ###
	;
	;modify these codes, if required 
	;for your CP/M system
	;
	; Keyboard-Codes (input)
SCUL	EQU	1	; ^A Shift+Cursor left
ETX	EQU	3	; ^C Break
CUR	EQU	4	; ^D Cursor right
CUU	EQU	5	; ^E Cursor up
SCUR	EQU	6	; ^F Shift+Cursor right
DELE	EQU	7	; ^G Delete
CUL	EQU	8	; ^H Cursor left
TAB	EQU	9	; ^I Tabulator
ENT	EQU	0DH	; ^M Enter
CUD	EQU	18H	; ^X Cursor down
CLN	EQU	19H	; ^Y Clear line
ESC	EQU	1BH	;    Escape
BSP	EQU	1FH	;    Backspace
	;
	; Console-Codes (output)
BEEP	EQU	7	;Bell
LEFT	EQU	8	;Cursor left
HT	EQU	9	;hor. Tabulator
LF	EQU	0AH	;Line Feed
CLS	EQU	0CH	;Clear Screen & Cursor Home
CR	EQU	0DH	;Carriage Return
RIGHT	EQU	15H	;Cursor right
CLLN	EQU	18H	;Clear Line
LNUP	EQU	1AH	;Line Up
